










	////////////////////////////////////////////////////
	//        DO NOT CHANGE ANYTHING IN HERE!         //
	//      Things for customizing your server        //
	//            have been moved to the              //
	//       custom.inl and skill_defines.inl         //
	////////////////////////////////////////////////////
 
 
 
 
 
 
 
 
 
 
 
 
 
 
///////////////////////////////////////////////////////////////////////
//   ____  _____    _  _  _____  ____    ____  ____  ____  ____  /\  //
//  (  _ \(  _  )  ( \( )(  _  )(_  _)  ( ___)(  _ \(_  _)(_  _) )(  //
//   )(_) ))(_)(    )  (  )(_)(   )(     )__)  )(_) )_)(_   )(   \/  //
//  (____/(_____)  (_)\_)(_____) (__)   (____)(____/(____) (__)  ()  //
//																	 //
///////////////////////////////////////////////////////////////////////

 #if defined _pokemod_defines_included
	#endinput
 #endif
 #define _pokemod_defines_included
 
 stock const PLUGNAME[] =		"PokeMod"
 stock const PREFIX[] =		"[PokeMod]"
 #define AUTHOR				"Emp`"
 stock const POKETEAM[] =		"Emp`"
 stock const VERSION[] =		"1.2.2"

 //MODELS
 enum{
	MDL_ROCK,
	MDL_SKULL,
	MDL_POWDER,
	MDL_HAIR,
	MDL_POKEBALL,
	MDL_SURF,
	MDL_OAK,
	MAX_MDL
 }
 enum{
	MDL_T_HAIR,
	MDL_T_OAK,
	MAX_T_MDL
 }
 stock const MODELS[MAX_MDL][] = {
	"models/big_rock.mdl",
	"models/bleachbones.mdl",
	"models/teleporter_blue_sprites.mdl",
	"models/hair.mdl",

	//Custom Pokemon Models
	"models/pokemon/w_pokeball.mdl",
	"models/pokemon/wave.mdl",
	"models/pokemon/oak.mdl"
 }
 stock const MODELS_T[MAX_T_MDL][] = {
	"models/hairt.mdl",
	"models/pokemon/oakT.mdl"
 }

 //SOUNDS
 enum{
	SND_HIT,
	SND_TU_PING,
	SND_TU_FIRE,
	SND_BODYDROP,
	SND_SUCK,
	SND_BURN,
	SND_FLAME,
	SND_AG_DIE,
	SND_SPARK,
	SND_BELL,
	SND_WADE,
	SND_SWIM,
	SND_JUMPLAND,
	SND_PAIN,
	SND_STEP,
	SND_BIGGUN,
	SND_DENY,

	SND_POKECENTER,
	SND_EXM2,
	SND_CURE,
	SND_CAST,
	MAX_SND
 }
 stock const SOUNDS[MAX_SND][] = {
	"hornet/ag_hornethit1.wav",
	"turret/tu_ping.wav",
	"turret/tu_fire1.wav",
	"common/bodydrop1.wav",
	"ambience/particle_suck1.wav",
	"ambience/burning1.wav",
	"ambience/flameburst1.wav",
	"agrunt/ag_die3.wav",
	"buttons/spark6.wav",
	"buttons/bell1.wav",
	"player/pl_wade3.wav",
	"player/pl_swim3.wav",
	"player/pl_jumpland2.wav",
	"player/pl_pain7.wav",
	"player/pl_step4.wav",
	"ambience/biggun3.wav",
	"common/wpn_denyselect.wav",

	//Custom Pokemon Sounds
	"pokemon/pokecenter.wav",
	"pokemon/a_exm2.wav",
	"pokemon/cure.wav",
	"pokemon/cast.wav"
 }

 #define MAX_PLAYERS 32		//max players there can be
 #define TOTAL_POKES 151	//max pokes

 #define MAX_ACTIVE_POKES 6								//max pokes that someone can have in their party
 #define MAX_OAK_POKES 12								//max pokes that someone can have in Bill's PC
 #define MAX_POKES MAX_ACTIVE_POKES+MAX_OAK_POKES		//max pokes that someone can have total

 #define MAX_SKILLS	5		//max skills that the skill menu will display

 #define MAX_ITYPE 11		//how many different item types there are
 #define MAX_ITEMS 50		//max number of custom items there can be
 #define MAX_OAKS 20		//maximum number of oaks
 #define MAX_OAKPROP 3		//how many different properties there are for oaks
 #define MAX_EVOLVES 5		//max times something has the chance to evolve

 #define NAME_LENGTH 32
 
 stock const EMPTY[] =	""

 //Players Settings
 enum
 {
	SET_HUD_Y = 0,
	SET_HUD_PARTY,
	MAX_SETS
 }

 enum
 {
	NONE = 0,
	BULBASAUR, IVYSAUR, VENUSAUR,
	CHARMANDER, CHARMELEON, CHARIZARD,
	SQUIRTLE, WARTORTLE, BLASTOISE,
	CATERPIE, METAPOD, BUTTERFREE,
	WEEDLE, KAKUNA, BEEDRILL,
	PIDGEY, PIDGEOTTO, PIDGEOT,
	RATTATA, RATICATE,
	SPEAROW, FEAROW,
	EKANS, ARBOK,
	PIKACHU, RAICHU,
	SANDSHREW, SANDSLASH,
	NIDORAN_F, NIDORINA, NIDOQUEEN,
	NIDORAN_M, NIDORINO, NIDOKING,
	CLEFAIRY, CLEFABLE,
	VULPIX, NINETALES,
	JIGGLYPUFF, WIGGLYTUFF,
	ZUBAT, GOLBAT,
	ODDISH, GLOOM, VILEPLUME,
	PARAS, PARASECT,
	VENONAT, VENOMOTH,
	DIGLETT, DUGTRIO,
	MEOWTH, PERSIAN,
	PSYDUCK, GOLDUCK,
	MANKEY, PRIMEAPE,
	GROWLITHE, ARCANINE,
	POLIWAG, POLIWHIRL, POLIWRATH,
	ABRA, KADABRA, ALAKAZAM,
	MACHOP, MACHOKE, MACHAMP,
	BELLSPROUT, WEEPINBELL, VICTREEBEL,
	TENTACOOL, TENTACRUEL,
	GEODUDE, GRAVELER, GOLEM,
	PONYTA, RAPIDASH,
	SLOWPOKE, SLOWBRO,
	MAGNEMITE, MAGNETON,
	FARFETCHD,
	DODUO, DODRIO,
	SEEL, DEWGONG,
	GRIMER, MUK,
	SHELLDER, CLOYSTER,
	GASTLY, HAUNTER, GENGAR,
	ONIX,
	DROWZEE, HYPNO,
	KRABBY, KINGLER,
	VOLTORB, ELECTRODE,
	EXEGGCUTE, EXEGGUTOR,
	CUBONE, MAROWAK,
	HITMONLEE, HITMONCHAN,
	LICKITUNG,
	KOFFING, WEEZING,
	RHYHORN, RHYDON,
	CHANSEY,
	TANGELA,
	KANGASKHAN,
	HORSEA, SEADRA,
	GOLDEEN, SEAKING,
	STARYU, STARMIE,
	MRMIME,
	SCYTHER,
	JYNX,
	ELECTABUZZ,
	MAGMAR,
	PINSIR,
	TAUROS,
	MAGIKARP, GYARADOS,
	LAPRAS,
	DITTO,
	EEVEE, VAPOREON, JOLTEON, FLAREON,
	PORYGON,
	OMANYTE, OMASTAR,
	KABUTO, KABUTOPS,
	AERODACTYL,
	SNORLAX,
	ARTICUNO,
	ZAPDOS,
	MOLTRES,
	DRATINI, DRAGONAIR, DRAGONITE,
	MEWTWO,
	MEW
 }
 
 enum POKE_TYPE
 {
	TYPE_NONE = 0,
	TYPE_GRASS,
	TYPE_FIRE,
	TYPE_WATER,
	TYPE_ROCK,
	TYPE_ELECTRIC,
	TYPE_PSYCHIC,
	TYPE_BUG,
	TYPE_POISON,
	TYPE_GHOST,
	TYPE_NORMAL,
	TYPE_ICE,
	TYPE_FIGHTING,
	TYPE_GROUND,
	TYPE_FLYING,
	TYPE_DRAGON,
	MAX_TYPES
 }

 //lets define some tasks (so we can remove the tasks if we need to)
 #define POKESKILL_TASK	24567
 #define BIND_TASK		25567
 #define FREEZE_TASK	26567
 #define BUYTIME_TASK	27567
 #define REMOVE_TASK	28567
 #define BLIZZARD_TASK	29567
 #define SOLID_TASK		30567
 #define RELEASE_TASK	31567
 #define RELEASE2_TASK	32567
 
 //lets define some statuses for g_Status[id][STATUS]
 enum STATUS
 {
	STATUS_BURN = 0,
	STATUS_FROZEN,
	STATUS_PARALYZE,
	STATUS_ASLEEP,
	STATUS_OAK_STOP,
	STATUS_SLOW,
	STATUS_POISON,
	STATUS_BIKE,
	MAX_STATUS
 }
 
 //if someone is waiting for a pokeskill, their BindUsed == this
 #define WAIT_TIME -100.0

 //for menu handler 
 enum
 {
	START =	1,		//start menu
	MAIN,			//main menu
	MART,			//pokemart menu
	GO,				//go menu
	RELEASE,		//release pokemon menu
	B_GIVE,			//giving bill a poke
	B_TAKE,			//taking poke from bill
	ITEM,			//item use menu
	HELP,			//help menu
	SKILL,			//skill menu
	GIVE_ITEM,		//give pokemon item menu
	SAFARI,			//safari menu
	BILL			//bills menu
 }
 
 //for screenflashes
 #define SECONDS_TO_SCREENFADE_UNITS(%1) floatround(float((1<<12)) * (%1))
 
 stock const POKENAMES[TOTAL_POKES+1][NAME_LENGTH] = 
 {
	"None",
	"Bulbasaur",	"Ivysaur",		"Venusaur",
	"Charmander",	"Charmeleon",	"Charizard",
	"Squirtle",		"Wartortle",	"Blastoise",
	"Caterpie",		"Metapod",		"Butterfree",
	"Weedle",		"Kakuna",		"Beedrill",
	"Pidgey",		"Pidgeotto",	"Pidgeot",
	"Rattata",		"Raticate",
	"Spearow",		"Fearow",
	"Ekans",		"Arbok",
	"Pikachu",		"Raichu",
	"Sandshrew",	"Sandslash",
	"Nidoran",		"Nidorina",		"Nidoqueen",
	"Nidoran",		"Nidorino",		"Nidoking",
	"Clefairy",		"Clefable",
	"Vulpix",		"Ninetales",
	"Jigglypuff",	"Wigglytuff",
	"Zubat",		"Golbat",
	"Oddish",		"Gloom",		"Vileplume",
	"Paras",		"Parasect",
	"Venonat",		"Venomoth",
	"Diglett",		"Dugtrio",
	"Meowth",		"Persian",
	"Psyduck",		"Golduck",
	"Mankey",		"Primeape",
	"Growlithe",	"Arcanine",
	"Poliwag",		"Poliwhirl",	"Poliwrath",
	"Abra",			"Kadabra",		"Alakazam",
	"Machop",		"Machoke",		"Machamp",
	"Bellsprout",	"Weepinbell",	"Victreebel",
	"Tentacool",	"Tentacruel",
	"Geodude",		"Graveler",		"Golem",
	"Ponyta",		"Rapidash",
	"Slowpoke",		"Slowbro",
	"Magnemite",	"Magneton",
	"Farfetch'd",
	"Doduo",		"Dodrio",
	"Seel",			"Dewgong",
	"Grimer",		"Muk",
	"Shellder",		"Cloyster",
	"Gastly",		"Haunter",		"Gengar",
	"Onix",
	"Drowzee",		"Hypno",
	"Krabby",		"Kingler",
	"Voltorb",		"Electrode",
	"Exeggcute",	"Exeggutor",
	"Cubone",		"Marowak",
	"Hitmonlee",	"Hitmonchan",
	"Lickitung",
	"Koffing",		"Weezing",
	"Rhyhorn",		"Rhydon",
	"Chansey",
	"Tangela",
	"Kangaskhan",
	"Horsea",		"Seadra",
	"Goldeen",		"Seaking",
	"Staryu",		"Starmie",
	"MrMime",
	"Scyther",
	"Jynx",
	"Electabuzz",
	"Magmar",
	"Pinsir",
	"Tauros",
	"Magikarp",		"Gyarados",
	"Lapras",
	"Ditto",
	"Eevee",		"Vaporeon", "Jolteon", "Flareon",
	"Porygon",
	"Omanyte",		"Omastar",
	"Kabuto",		"Kabutops",
	"Aerodactyl",
	"Snorlax",
	"Articuno",
	"Zapdos",
	"Moltres",
	"Dratini",		"Dragonair", 	"Dragonite",
	"Mewtwo",
	"Mew"
 }
 
 //These are for unstucking people
 #define UNSTUCK_START_DISTANCE		32			// The first search distance for finding a free location in the map
 #define UNSTUCK_MAX_ATTEMPTS		128			// How many times to search in an area for a free space

 #define TRADE_EVOLVE			-999
 
 #define MAX_POKE_ENTS	200
 
 #define POKEDEX_OFFSET	10
 
 enum BOT_SAYS
 {
	BOT_BOUGHT_ITEM = 0,
	BOT_SELECT_POKE
 }

 #if SAVE==SAVE_SQLX
 enum
 {
	SQLX_LOADXP=1,
	SQLX_LOADRANK
 }
 #endif

 #if MOD==CS
 stock const spawnEntString[2][] = {"info_player_start","info_player_deathmatch"}
 #endif
 #if MOD==DOD
 stock const spawnEntString[2][] = {"info_player_axis","info_player_allies"}
 #endif
 //For NS we just use the stock provided (ns_get_spawn)

 //Poke Infos
 #define PI_BIND		(1<<0)		/* flag "a" */
 #define PI_NONBIND		(1<<1)		/* flag "b" */
 #define PI_REPEAT		(1<<2)		/* flag "c" */
 #define PI_CHARGE		(1<<3)		/* flag "d" */
 #define PI_TOUCH		(1<<4)		/* flag "e" */
 #define PI_UPGRADE		(1<<5)		/* flag "f" */
 #define PI_GLOBAL		(1<<6)		/* flag "g" */
 #define PI_BASE		(1<<7)		/* flag "h" */
 #define PI_EVOLVE		(1<<8)		/* flag "i" */
 #define PI_SPECIAL		(1<<9)		/* flag "j" */
 #define PI_GRASS		(1<<10)		/* flag "k" */
 #define PI_FIRE		(1<<11)		/* flag "l" */
 #define PI_WATER		(1<<12)		/* flag "m" */
 #define PI_ROCK		(1<<13)		/* flag "n" */
 #define PI_ELECTRIC	(1<<14)		/* flag "o" */
 #define PI_PSYCHIC		(1<<15)		/* flag "p" */
 #define PI_BUG			(1<<16)		/* flag "q" */
 #define PI_POISON		(1<<17)		/* flag "r" */
 #define PI_GHOST		(1<<18)		/* flag "s" */
 #define PI_NORMAL		(1<<19)		/* flag "t" */
 #define PI_ICE			(1<<20)		/* flag "u" */
 #define PI_FIGHTING	(1<<21)		/* flag "v" */
 #define PI_GROUND		(1<<22)		/* flag "w" */
 #define PI_FLYING		(1<<23)		/* flag "x" */
 #define PI_DRAGON		(1<<24)		/* flag "y" */
 #define PI_DISABLE		(1<<25)		/* flag "z" */

 #if defined _pokemod_plugin_included
	#define BindPoke(%1)		(PokeInfo[%1] & PI_BIND)
	#define NonBindPoke(%1)		(PokeInfo[%1] & PI_NONBIND)
	#define RepPoke(%1)			(PokeInfo[%1] & PI_REPEAT)
	#define ChargePoke(%1)		(PokeInfo[%1] & PI_CHARGE)
	#define TouchPoke(%1)		(PokeInfo[%1] & PI_TOUCH)
	#define UpgradePoke(%1)		(PokeInfo[%1] & PI_UPGRADE)
	#define GlobalPoke(%1)		(PokeInfo[%1] & PI_GLOBAL)
	#define BasePoke(%1)		(PokeInfo[%1] & PI_BASE)
	#define EvoPoke(%1)			(PokeInfo[%1] & PI_EVOLVE)
	#define SpecialPoke(%1)		(PokeInfo[%1] & PI_SPECIAL)
	#define DisabledPoke(%1)	(SafariLevel(%1)==-1000)
 #endif

 //Item Infos
 #define II_HEAL		(1<<0)		/* flag "a" */
 #define II_CATCH		(1<<1)		/* flag "b" */
 #define II_REMEDY		(1<<2)		/* flag "c" */
 #define II_BURN		(1<<3)		/* flag "d" */
 #define II_FROZEN		(1<<4)		/* flag "e" */
 #define II_PARALYZE	(1<<5)		/* flag "f" */
 #define II_ASLEEP		(1<<6)		/* flag "g" */
 #define II_SLOW		(1<<7)		/* flag "h" */
 #define II_POISON		(1<<8)		/* flag "i" */
 #define II_ESCAPE		(1<<9)		/* flag "j" */
 #define II_GIVE		(1<<10)		/* flag "k" */
 #define II_PDAMAGE		(1<<11)		/* flag "l" */
 #define II_DAMAGE		(1<<12)		/* flag "m" */
 #define II_ARMOR		(1<<13)		/* flag "n" */
 #define II_SPEED		(1<<14)		/* flag "o" */
 #define II_MAXHP		(1<<15)		/* flag "p" */
 #define II_SPECIAL		(1<<16)		/* flag "q" */
 #define II_FOSSIL		(1<<17)		/* flag "r" */
 #define II_LEVEL		(1<<18)		/* flag "s" */
 #define II_BIKEV		(1<<19)		/* flag "t" */
 #define II_BIKE		(1<<20)		/* flag "u" */
 #define II_SCOPE		(1<<21)		/* flag "v" */

 #define II_NODROP		(1<<23)		/* flag "x" */
 #define II_MAX			(1<<24)		/* flag "y" */
 #define II_DISABLE		(1<<25)		/* flag "z" */


 //defines for different files
 enum PokeFiles
 {
	F_PokeDir,
	F_VaultFile,
	F_PokeConfig,
	F_Pokemon,
	F_Items,
	F_Pokedex,
	F_Safari,
	F_PokeMaps,
	F_XPs
 }

 //--Thing im using so i dont have to use get_user_health each time--//
 #define Health(%1) get_user_health(%1)

 enum
 {
	SQL_NONE,
	SQL_MYSQL,
	SQL_SQLITE
 }
 enum
 {
	SQLITE_SYNC_OFF,
	SQLITE_SYNC_NORMAL,
	SQLITE_SYNC_FULL
 }

 enum
 {
	pm_pokemod, pm_admin, pm_save, pm_xpsavedays, pm_safari_mode, pm_debug, pm_debug_key

 #if ALLOW_WILD==1
	,pm_wild, pm_wild_level
 #endif
	,pm_maxhp, pm_botsays, pm_pokecenter, pm_oak, pm_oakhp, pm_pokeballs, pm_buytime, pm_itemtime, pm_pokemart_open

	,pm_burntime, pm_burndamage, pm_waterheal, pm_poisontime, pm_poisondamage, pm_sleeptime

 #if SAVE==SAVE_SQLX || SAVE==SAVE_MYSQL
	,pm_mysql_host, pm_mysql_user, pm_mysql_pass, pm_mysql_db
 #endif
 #if SAVE==SAVE_MYSQL
	,pm_mysql_persistent
 #endif

	,MAX_CVARS
 }
 stock pcvars[MAX_CVARS];
 stock const cvars[MAX_CVARS][] = {
	"pokemod","admin","save","xpsavedays","safari_mode","debug","debug_key"

 #if ALLOW_WILD==1
	,"wild","wild_level"
 #endif

	,"maxhp","botsays","pokecenter","oak","oakhp","pokeballs","buytime","itemtime","pokemart_open"

	,"burntime","burndamage","waterheal","poisondamage","poisontime","sleeptime"

 #if SAVE==SAVE_SQLX || SAVE==SAVE_MYSQL
	,"mysql_host", "mysql_user", "mysql_pass", "mysql_db"
 #endif
 #if SAVE==SAVE_MYSQL
	,"mysql_persistent"
 #endif

 }
 stock const cvar_default[MAX_CVARS][] = {
	"1","m","1","30","0","0",""

 #if ALLOW_WILD==1
	,"0","33"
 #endif

	,"255","1","200","ab","100","1","0.0","30.0","1"

	,"10","5","3","5","10","3"

 #if SAVE==SAVE_SQLX || SAVE==SAVE_MYSQL
	,"localhost", "root", "", "pokemod"
 #endif
 #if SAVE==SAVE_MYSQL
	,"1"
 #endif
 }


#if !defined SECONDS_IN_DAY
	#define SECONDS_IN_DAY    86400
#endif



